@font-face {
    font-family: "PSL_Majestic";
    src: url("../font/psl069.ttf") format("truetype");
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

.font-PSL_Majestic {
    font-family: "PSL_Majestic", sans-serif;
}

.ep20LandingpageMainLayout {
    position: relative;
    width: 100%;
    min-height: 100dvh;
    overflow: hidden;

    display: flex;
    align-items: start;
    justify-content: center;
}

/* ================== 
    Video Bg
    ==================  */
.video-bg {
    position: fixed;
    inset: 0;
    z-index: -2;
    overflow: hidden;
}

.video-bg video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translateZ(0);
    backface-visibility: hidden;
    will-change: transform;
}

.overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.411);
    z-index: -1;
}

/* ================== 
    Scroll Bar 
    ==================  */
::-webkit-scrollbar {
    width: 6px;
}

::-webkit-scrollbar-track {
    background: #070707;
}

::-webkit-scrollbar-thumb {
    background: #2b0d11;
    border-radius: 20px;
    border: 1px solid rgba(255, 60, 60, .15);
    transition: .3s;
}

::-webkit-scrollbar-thumb:hover {
    background: #6e111d;
    box-shadow:
        0 0 6px rgba(255, 40, 40, .35);
}

/* ================== 
    Character 
    ==================  */
.ep20CharacterMain {
    position: absolute;
    z-index: 1;
    top: 0px;
    left: 0;

    width: 100%;
}

.ep20FooterObject {
    position: absolute;
    z-index: 2;
    bottom: 0;
    left: 0;

    width: 100%;
    height: 60%;

    background: linear-gradient(180deg, #8a0e1000 0%, #000000ec 86%, #000000 100%);
}

.ep20ObjectCharacter {
    position: absolute;
    z-index: 3;
    top: 0px;
    left: 0px;

    width: 100%;
}

/* ================== 
    Content 
    ==================  */
.ep20ContentMainLayout {
    position: relative;
    z-index: 5;

    width: 100%;
    min-height: 100dvh;
    padding: 20px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

.ep20LogoMain {
    width: 100%;
    max-width: 765px;
}

.btn-primary {
    width: 220px;
    height: 70px;
    padding: 28px 35px 20px;

    border: 0px solid transparent;
    color: #fff;

    background: url("../images/btn.png") center/cover no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;

    font-family: "PSL_Majestic", sans-serif;
    font-size: 30px;
    line-height: 30px;
    font-weight: 800;
    text-align: center;

    text-shadow: 2px 2px 0 #630B0C;
    filter: drop-shadow(0 0 10px #ad44e9a4);
    transition:
        transform .25s ease,
        filter .25s ease,
        background-image .25s ease;
    cursor: pointer;
    user-select: none;
}

.btn-primary:hover {
    background-image: url("../images/btnActive.png");
    transform: translateY(-3px) scale(1.03);
    filter:
        drop-shadow(0 0 18px rgba(255, 70, 70, .45)) drop-shadow(0 0 10px rgba(173, 68, 233, .35));
}

.btn-primary:active {
    transform: translateY(0) scale(.98);
    transition-duration: .08s;
}


/* ================== 
    Animation 
    ==================  */
.reveal-logo,
.reveal-fade-blur,
.reveal-light,
.reveal-cinematic {
    opacity: 0;
    will-change: opacity, transform, filter;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    transform: translateZ(0);
}

/* ============================
   Logo
============================ */
.reveal-logo {
    animation: logoIn 1s cubic-bezier(.22, 1, .36, 1) .35s both !important;
}

@keyframes logoIn {

    0% {
        opacity: 0;
        transform: translateZ(0) scale(.94);
        filter: blur(6px) brightness(1.15);
    }

    70% {
        opacity: 1;
        transform: translateZ(0) scale(1.015);
        filter: blur(.8px) brightness(1.05);
    }

    100% {
        opacity: 1;
        transform: translateZ(0) scale(1);
        filter: none;
    }

}

/* ============================
   Fade Blur
============================ */
.reveal-fade-blur {
    animation: fadeBlur 1s ease .15s both !important;
}

@keyframes fadeBlur {

    from {
        opacity: 0;
        filter: blur(4px);
    }

    to {
        opacity: 1;
        filter: none;
    }

}

/* ============================
   Light
============================ */

.reveal-light {
    animation: lightReveal 1.5s ease .25s both !important;
}

@keyframes lightReveal {

    from {
        opacity: 0;
        filter: brightness(1.12) blur(3px);
    }

    to {
        opacity: 1;
        filter: none;
    }

}

/* ============================
   Cinematic
============================ */
.reveal-cinematic {
    animation: cinematic 2.5s cubic-bezier(.22, 1, .36, 1) both !important;

}

@keyframes cinematic {

    from {
        opacity: 0;
        transform:
            translateZ(0) scale(.992);
        filter:
            blur(5px) brightness(1.08);

    }

    to {
        opacity: 1;
        transform:
            translateZ(0) scale(1);
        filter: none;

    }

}

/* ================== 
    Responsive 
    ==================  */
@media (max-width: 1570px) {
    .ep20CharacterMain {
        height: 100%;
    }
}

@media (max-width: 1200px) {
    .ep20ObjectCharacter {
        height: 100%;
    }
}

@media (max-width: 992px) {
    .btn-primary {
        width: 180px;
        height: 60px;
        padding: 24px 20px 20px;
        font-size: 25px;
        line-height: 25px;
    }
}

@media (max-width: 768px) {

    .ep20ContentMainLayout {
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
        justify-content: flex-start;

        padding-bottom: 50px;
    }

    .ep20LogoMain {
        width: 550px;
        max-width: auto;
        min-width: 550px;
    }

    .ep20FooterObject {
        height: 80%;
    }
}

@media (max-width: 576px) {
    .ep20LogoMain {
        width: 400px;
        min-width: 400px;
    }
}

@media (max-width: 420px) {
    .ep20LogoMain {
        width: 350px;
        min-width: 350px;
    }
}

@media (max-width: 370px) {
    .ep20LogoMain {
        width: 100%;
        min-width: fit-content;
    }
}